
Infrastructure - Bug #1279

CN service not accepting parameters for listObjects

2011-01-28 20:14 - Dave Vieglais

Status: Closed Start date: 2011-01-28

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

This may be known but couldn't find a ticket for it.

Example:

curl -v -H "Accept: text/xml" "http://cn.dataone.org/cn/object?count=500&start=0"

* About to connect() to cn.dataone.org port 80 (#0)

*   Trying 128.111.220.46... connected

* Connected to cn.dataone.org (128.111.220.46) port 80 (#0)

GET /cn/object?count=500&start=0 HTTP/1.1

User-Agent: curl/7.19.7 (universal-apple-darwin10.0) libcurl/7.19.7 OpenSSL/0.9.8l zlib/1.2.3

Host: cn.dataone.org

Accept: text/xml

< HTTP/1.1 404 Not Found

< Date: Fri, 28 Jan 2011 20:12:08 GMT

< Server: Apache/2.2.12 (Ubuntu)

< Accept-Ranges: bytes

< ETag: W/"913-1288312776000"

< Last-Modified: Fri, 29 Oct 2010 00:39:36 GMT

< Content-Length: 913

< Vary: Accept-Encoding

< Content-Type: text/html;charset=UTF-8

< 

History

#1 - 2011-10-07 21:12 - Robert Waltz

- Target version deleted (Sprint-2011.05)

- Milestone set to CCI-0.6.4

#2 - 2011-10-07 21:17 - Robert Waltz

- Position set to 246

#3 - 2012-02-08 20:05 - Dave Vieglais

- Position set to 1

- Target version set to Sprint-2012.05-Block.1.3

- Position deleted (332)

#4 - 2012-02-13 18:07 - Dave Vieglais

- Status changed from New to Closed
